rigin: Optional[str] = ...,
    loader_state: Optional[Any] = ...,
    is_package: Optional[bool] = ...,
) -> importlib.machinery.ModuleSpec: ...
def spec_from_file_location(
    name: str,
    location: Union[str, bytes, os.PathLike[str], os.PathLike[bytes]],
    *,
    loader: Optional[importlib.abc.Loader] = ...,
    submodule_search_locations: Optional[List[str]] = ...,
) -> importlib.machinery.ModuleSpec: ...
def module_from_spec(spec: importlib.machinery.ModuleSpec) -> types.ModuleType: ...

class LazyLoader(importlib.abc.Loader):
    def __init__(self, loader: importlib.abc.Loader) -> None: ...
    @classmethod
    def factory(cls, loader: importlib.abc.Loader) -> Callable[..., LazyLoader]: ...
    def create_module(self, spec: importlib.machinery.ModuleSpec) -> Optional[types.ModuleType]: ...
    def exec_module(self, module: types.ModuleType) -> None: ...
PK